Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Object_Adapter::Servant_Upcall::Pre_Invoke_State Class Reference

This struct keeps track of state related to pre- and post-invoke operations. More...

`#include <Object_Adapter.h>`

List of all members.

## Public Types
enum | State { NO_ACTION_REQUIRED, PRIORITY_RESET_REQUIRED }
## Public Methods
| Pre_Invoke_State (void)
## Public Attributes
State | state_
CORBA::Short | original_native_priority_
CORBA::Short | original_CORBA_priority_

## Detailed Description

This struct keeps track of state related to pre- and post-invoke operations.

## Member Enumeration Documentation

enum TAO_Object_Adapter::Servant_Upcall::Pre_Invoke_State::State

  | Enumeration values:
  NO_ACTION_REQUIRED |
  PRIORITY_RESET_REQUIRED |

## Constructor & Destructor Documentation

TAO_Object_Adapter::Servant_Upcall::Pre_Invoke_State::Pre_Invoke_State | ( | void |  | ) |

## Member Data Documentation

CORBA::Short TAO_Object_Adapter::Servant_Upcall::Pre_Invoke_State::original_CORBA_priority_

CORBA::Short TAO_Object_Adapter::Servant_Upcall::Pre_Invoke_State::original_native_priority_

State TAO_Object_Adapter::Servant_Upcall::Pre_Invoke_State::state_

The documentation for this class was generated from the following files:

- Object_Adapter.h
- Object_Adapter.cpp